Uploaded image for project: 'RHEL'
  1. RHEL
  2. RHEL-7257

Include symlink link to /opt/rh/SAP/lib64/libstdc++.so.6 in compat-sap-c++-10

    • compat-sap-c++-10-10.2.1-1.2.el8
    • Major
    • ZStream
    • sst_pt_libraries
    • ssg_platform_tools
    • 20
    • 22
    • 2
    • False
    • Hide

      None

      Show
      None
    • No
    • Approved Blocker
    • Release Note Not Required
    • None

      Description of problem:
      Certain newer SAP kernels and tools on RHEL 8 are built with GCC 10. RHEL 8 is GCC 8 compatible, so a compat-sap-c++ library is required to provide compatibility. However, as the SAP kernel and tools are only looking for a file with name libstdc+.so.6 in the run path, these applications are currently not able find the compat-sap-c+ file.

      Version-Release number of selected component (if applicable):

      How reproducible:
      always

      Steps to Reproduce:
      1. Update the SAP kernel to one of the SAP kernel versions mentioned in SAP note https://launchpad.support.sap.com/#/notes/3119751, e.g. SAP kernel 754 or 788.
      2. Start the SAP system and monitor the terminal output and SAP log files.

      Actual results:
      Messages like the following will be shown:
      disp+work: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by disp+work)

      Expected results:
      The SAP system starts as expected, without such error messages. No further manual action (like for example creating a soft link) is required after installing the compat-sap-c++ package.

      Additional info:
      We will soon extend the SAP application's run path to also include /opt/rh/SAP/lib64, so the applications will search for file libstdc++.so.6 there as well.
      We need this fix for all RHEL 8 versions which are in the standard, eus, or e4s support range (= RHEL 8.1, 8.2, 8.4, 8.6, 7.7) and all future RHEL 8 versions, on all SAP supported architectures (x86_64, ppc64le, and s390x).
      We also need this fix in all compat-sap-c++ versions which are and will be available on RHEL 8, currently compat-sap-c++-10, -11, and -12.

            ppalka@redhat.com Patrick Palka
            jira-bugzilla-migration RH Bugzilla Integration
            Patrick Palka Patrick Palka
            Vaclav Kadlcik Vaclav Kadlcik
            Votes:
            0 Vote for this issue
            Watchers:
            16 Start watching this issue

              Created:
              Updated:
              Resolved: